Loading...
Searching...
No Matches
elastix::DefaultResampler< TElastix > Class Template Reference
Components » Resamplers

`#include <elxDefaultResampler.h>`

## Detailed Description

template<class TElastix>
class elastix::DefaultResampler< TElastix >

A resampler based on the itk::ResampleImageFilter.

The parameters used in this class are:

Parameters
  Resampler: Select this resampler as follows:
  (Resampler "DefaultResampler")

Definition at line 39 of file elxDefaultResampler.h.

Inheritance diagram for elastix::DefaultResampler< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = DefaultResampler
using | Superclass1 = typename ResamplerBase<TElastix>::ITKBaseType
using | Superclass2 = ResamplerBase<TElastix>
Public Types inherited from elastix::ResamplerBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | DirectionType = typename ITKBaseType::DirectionType
using | ElastixType
using | IndexType = typename ITKBaseType::IndexType
using | InputImageType = typename ElastixType::MovingImageType
using | InterpolatorType = typename ITKBaseType::InterpolatorType
using | ITKBaseType = itk::ResampleImageFilter<InputImageType, OutputImageType, CoordRepType>
using | OriginPointType = typename ITKBaseType::OriginPointType
using | OutputImageType = typename ElastixType::MovingImageType
using | OutputPixelType = typename ITKBaseType::PixelType
using | ParameterMapType = typename ElastixType::ParameterMapType
using | RegistrationType
using | Self = ResamplerBase
using | SizeType = typename ITKBaseType::SizeType
using | SpacingType = typename ITKBaseType::SpacingType
using | Superclass = BaseComponentSE<TElastix>
using | TransformType = typename ITKBaseType::TransformType
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

| elxClassNameMacro ("DefaultResampler")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (DefaultResampler)
Public Member Functions inherited from elastix::ResamplerBase< TElastix >
void | AfterEachIterationBase () override
void | AfterEachResolutionBase () override
void | AfterRegistrationBase () override
virtual int | BeforeAllTransformix ()
void | BeforeRegistrationBase () override
virtual void | CreateItkResultImage ()
void | CreateTransformParameterMap (ParameterMapType &parameterMap) const
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (ResamplerBase)
| itkStaticConstMacro (ImageDimension, unsigned int, OutputImageType::ImageDimension)
virtual void | ReadFromFile ()
void | ResampleAndWriteResultImage (const std::string &filename, const bool showProgress)
void | WriteToFile (std::ostream &transformationParameterInfo) const
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachResolution ()
virtual void | AfterRegistration ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| DefaultResampler ()=default
| ~DefaultResampler () override=default
Protected Member Functions inherited from elastix::ResamplerBase< TElastix >
| ResamplerBase ()=default
virtual void | SetComponents ()
| ~ResamplerBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::DefaultResampler< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 51 of file elxDefaultResampler.h.

## ITKBaseType

template<class TElastix>

using elastix::DefaultResampler< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 85 of file elxDefaultResampler.h.

## Pointer

template<class TElastix>

using elastix::DefaultResampler< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 50 of file elxDefaultResampler.h.

## Self

template<class TElastix>

using elastix::DefaultResampler< TElastix >::Self = DefaultResampler

Standard ITK-stuff.

Definition at line 47 of file elxDefaultResampler.h.

## Superclass1

template<class TElastix>

using elastix::DefaultResampler< TElastix >::Superclass1 = typename ResamplerBase<TElastix>::ITKBaseType

Definition at line 48 of file elxDefaultResampler.h.

## Superclass2

template<class TElastix>

using elastix::DefaultResampler< TElastix >::Superclass2 = ResamplerBase<TElastix>

Definition at line 49 of file elxDefaultResampler.h.

## Constructor & Destructor Documentation

## DefaultResampler()

template<class TElastix>

elastix::DefaultResampler< TElastix >::DefaultResampler | ( |  | ) |

protected default

The constructor.

## ~DefaultResampler()

template<class TElastix>

elastix::DefaultResampler< TElastix >::~DefaultResampler | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## elxClassNameMacro()

template<class TElastix>

elastix::DefaultResampler< TElastix >::elxClassNameMacro | ( | "DefaultResampler< TElastix >" |  | ) |

Name of this class. Use this name in the parameter file to select this specific resampler.
example: (Resampler "DefaultResampler")

## GetClassName()

template<class TElastix>

virtual const char * elastix::DefaultResampler< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from elastix::ResamplerBase< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::DefaultResampler< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | DefaultResampler< TElastix > |  | ) |

## New()

template<class TElastix>

Pointer elastix::DefaultResampler< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::DefaultResampler< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 96 of file elxDefaultResampler.h.

Generated on 1768596610 for elastix by 1.15.0 |